export default {
    execute:function(){
        // debugger
        let result = arguments[0][0].getResult().Value;
        if(result != ''){
            let reg =  new RegExp("(^\\d{15}$)|(^\\d{18}$)|(^\\d{17}(\\d|X|x)$)");
            return reg.test(result);
        }else{
            //   处理默认赋值的时候 空字符串
            return true;
        }
    },
    getResultType:function(){
        return FMR.ConstDataTypes.General;
    }
}